Assignments Assignments

Classes | Macros | Typedefs | Functions
jdsample.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_upsampler

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_upsampler * | my_upsample_ptr

## Functions
typedef | JMETHOD (void, upsample1_ptr,(j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr))
| start_pass_upsample (j_decompress_ptr cinfo)
| sep_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| fullsize_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| noop_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| int_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v1_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v2_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v1_fancy_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| h2v2_fancy_upsample (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr)
| jinit_upsampler (j_decompress_ptr cinfo)

## Macro Definition Documentation

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## Typedef Documentation

## ◆ my_upsample_ptr

typedef my_upsampler* my_upsample_ptr

## Function Documentation

## ◆ fullsize_upsample()

fullsize_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ h2v1_fancy_upsample()

h2v1_fancy_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ h2v1_upsample()

h2v1_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ h2v2_fancy_upsample()

h2v2_fancy_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ h2v2_upsample()

h2v2_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ int_upsample()

int_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ jinit_upsampler()

jinit_upsampler | ( | j_decompress_ptr | cinfo | ) |

## ◆ JMETHOD()

typedef JMETHOD | ( | void | ,
|  | upsample1_ptr | ,
|  | (j_decompress_ptr cinfo, jpeg_component_info *compptr, JSAMPARRAY input_data, JSAMPARRAY *output_data_ptr) | )

## ◆ noop_upsample()

noop_upsample | ( | j_decompress_ptr | cinfo,
|  | jpeg_component_info * | compptr,
|  | JSAMPARRAY | input_data,
|  | JSAMPARRAY * | output_data_ptr )

## ◆ sep_upsample()

sep_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail )

## ◆ start_pass_upsample()

start_pass_upsample | ( | j_decompress_ptr | cinfo | ) |